//Ex3_11.cpp
#include "iostream" 
#include "cmath" 
using namespace std;
void main()
{double s=0.0,t;
 int i=1,f=1;
 do
	{t=i*f;
	 s=s+1/t;
	 i=i+2;
	 f= -1*f;
	}
 while (fabs(1/t)>1e-6);
 cout<<"PI="<<4*s<<endl;
}
